import React, { ReactNode } from 'react';
import type { Metadata } from 'next';
import { comfortaa, inter } from './fonts';
import '../styles/style.scss';

type RootLayoutProps = {
    children: ReactNode;
    params: { locale: string };
};

export const metadata: Metadata = {
    title: 'Bbuddy',
    description: 'Bbuddy',
    verification: {
        google: 'UqmM7WbpuMetvvkMeyVRGKiSvXHEGyaaRuYbWxM-njs'
    }
};

export default function RootLayout({ children, params: { locale } }: RootLayoutProps) {
    return (
        <html lang={locale} className={`${comfortaa.variable} ${inter.variable}`}>
            <body>
                {children}
            </body>
        </html>
    );
}
