'use client'

import AgoraRTC, { AgoraRTCProvider } from 'agora-rtc-react';
import { Session } from '../../../types/sessions';
import { Room } from '../../../types/rooms';
import { Agora } from './Agora';
import { AgoraGroup } from './AgoraGroup';

export const AgoraClient = ({ session, stopCalling, isCoach }: { session?: Session, stopCalling: () => void, isCoach: boolean }) => {
    const remoteUser = isCoach ? (session?.clients?.length ? session?.clients[0] : undefined) : session?.coach;

    return session ? (
        <AgoraRTCProvider client={AgoraRTC.createClient({ mode: "rtc", codec: "vp8" })}>
            {session && (
                <Agora
                    sessionId={session.id}
                    secret={session.secret}
                    stopCalling={stopCalling}
                    remoteUser={remoteUser}
                />
            )}
        </AgoraRTCProvider>
    ) : null;
};

export const AgoraClientGroup = ({ room, stopCalling }: { room?: Room, stopCalling: () => void }) => {
    return room ? (
        <AgoraRTCProvider client={AgoraRTC.createClient({ mode: "rtc", codec: "vp8" })}>
            {room && (
                <AgoraGroup
                    roomId={room.id}
                    secret={room.secret}
                    stopCalling={stopCalling}
                />
            )}
        </AgoraRTCProvider>
    ) : null;
};
