import type { ChainModifiers, Entry, EntryFieldTypes, EntrySkeletonType, LocaleCode } from 'contentful'
import {BlogPostFields} from "./blogPost";
import {ContentImage} from "../lib/contentful/contentImage";
import { Document as RichTextDocument } from '@contentful/rich-text-types'
export interface WidgetParagraphFields {
    subTitle?: EntryFieldTypes.Symbol
    body?: EntryFieldTypes.RichText
}

export interface WidgetParagraph {
    subTitle: string
    body: RichTextDocument | null
}

export type WidgetParagraphSkeleton = EntrySkeletonType<WidgetParagraphFields, 'WidgetParagraph'>
export type WidgetParagraphEntry<Modifiers extends ChainModifiers, Locales extends LocaleCode> = Entry<
    WidgetParagraphSkeleton,
    Modifiers,
    Locales
>